xlsx-1.1.4: Simple and incomplete Excel file parser/writer

Safe Haskell | None
Language | Haskell2010

Codec.Xlsx.Types.Internal.FormulaData

# Documentation

data FormulaData Source #

Constructors

FormulaData |

Fields

- frmdFormula :: CellFormula
- frmdShared :: Maybe (SharedFormulaIndex, SharedFormulaOptions)

#### Instances

Instances details

Generic FormulaData Source # |

Instance details

Defined in Codec.Xlsx.Types.Internal.FormulaData

Associated Types

type Rep FormulaData |

Instance details

Defined in Codec.Xlsx.Types.Internal.FormulaData

type Rep FormulaData = D1 ('MetaData "FormulaData" "Codec.Xlsx.Types.Internal.FormulaData" "xlsx-1.1.4-G0KawmQS4mL8oRGRTaTy8Y" 'False) (C1 ('MetaCons "FormulaData" 'PrefixI 'True) (S1 ('MetaSel ('Just "frmdFormula") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 CellFormula) :*: S1 ('MetaSel ('Just "frmdShared") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe (SharedFormulaIndex, SharedFormulaOptions)))))

Methods

from :: FormulaData -> Rep FormulaData x Source #

to :: Rep FormulaData x -> FormulaData Source #

FromXenoNode FormulaData Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.FormulaData Methods fromXenoNode :: Node -> Either Text FormulaData Source #
type Rep FormulaData Source # |

Instance details

Defined in Codec.Xlsx.Types.Internal.FormulaData

type Rep FormulaData = D1 ('MetaData "FormulaData" "Codec.Xlsx.Types.Internal.FormulaData" "xlsx-1.1.4-G0KawmQS4mL8oRGRTaTy8Y" 'False) (C1 ('MetaCons "FormulaData" 'PrefixI 'True) (S1 ('MetaSel ('Just "frmdFormula") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 CellFormula) :*: S1 ('MetaSel ('Just "frmdShared") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe (SharedFormulaIndex, SharedFormulaOptions)))))

defaultFormulaType :: Text Source #